File
Date: 2016-06-24

java.io

## Class File

- java.lang.Object
- - java.io.File

- All Implemented Interfaces:
    Serializable, Comparable

      public class File
      extends Object
      implements Serializable, Comparable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `pathSeparator`
    `static char` | `pathSeparatorChar`
    `static String` | `separator`
    `static char` | `separatorChar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `File(File var0, String var1)`
    `File(String var0)`
    `File(String var0, String var1)`
    `File(URI var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRead()`
    `boolean` | `canWrite()`
    `int` | `compareTo(File var0)`
    `int` | `compareTo(Object var0)`
    `boolean` | `createNewFile()`
    `static File` | `createTempFile(String var0, String var1)`
    `static File` | `createTempFile(String var0, String var1, File var2)`
    `boolean` | `delete()`
    `void` | `deleteOnExit()`
    `boolean` | `exists()`
    `File` | `getAbsoluteFile()`
    `String` | `getAbsolutePath()`
    `File` | `getCanonicalFile()`
    `String` | `getCanonicalPath()`
    `String` | `getName()`
    `String` | `getParent()`
    `File` | `getParentFile()`
    `String` | `getPath()`
    `boolean` | `isAbsolute()`
    `boolean` | `isDirectory()`
    `boolean` | `isFile()`
    `boolean` | `isHidden()`
    `long` | `lastModified()`
    `long` | `length()`
    `String[]` | `list()`
    `String[]` | `list(FilenameFilter var0)`
    `File[]` | `listFiles()`
    `File[]` | `listFiles(FileFilter var0)`
    `File[]` | `listFiles(FilenameFilter var0)`
    `static File[]` | `listRoots()`
    `boolean` | `mkdir()`
    `boolean` | `mkdirs()`
    `boolean` | `renameTo(File var0)`
    `boolean` | `setLastModified(long var0)`
    `boolean` | `setReadOnly()`
    `URI` | `toURI()`
    `URL` | `toURL()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pathSeparator

          public static final String pathSeparator

    - #### pathSeparatorChar

          public static final char pathSeparatorChar

    - #### separator

          public static final String separator

    - #### separatorChar

          public static final char separatorChar

  - ### Constructor Detail

    - #### File

          public File(File var0,
              String var1)

    - #### File

          public File(String var0)

    - #### File

          public File(String var0,
              String var1)

    - #### File

          public File(URI var0)

  - ### Method Detail

    - #### canRead

          public boolean canRead()

    - #### canWrite

          public boolean canWrite()

    - #### compareTo

          public int compareTo(File var0)

    - #### compareTo

          public int compareTo(Object var0)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### createNewFile

          public boolean createNewFile()
                                throws IOException

      Throws:
        `IOException`

    - #### createTempFile

          public static File createTempFile(String var0,
                            String var1)
                                     throws IOException

      Throws:
        `IOException`

    - #### createTempFile

          public static File createTempFile(String var0,
                            String var1,
                            File var2)
                                     throws IOException

      Throws:
        `IOException`

    - #### delete

          public boolean delete()

    - #### deleteOnExit

          public void deleteOnExit()

    - #### exists

          public boolean exists()

    - #### getAbsoluteFile

          public File getAbsoluteFile()

    - #### getAbsolutePath

          public String getAbsolutePath()

    - #### getCanonicalFile

          public File getCanonicalFile()
                                throws IOException

      Throws:
        `IOException`

    - #### getCanonicalPath

          public String getCanonicalPath()
                                  throws IOException

      Throws:
        `IOException`

    - #### getName

          public String getName()

    - #### getParent

          public String getParent()

    - #### getParentFile

          public File getParentFile()

    - #### getPath

          public String getPath()

    - #### isAbsolute

          public boolean isAbsolute()

    - #### isDirectory

          public boolean isDirectory()

    - #### isFile

          public boolean isFile()

    - #### isHidden

          public boolean isHidden()

    - #### lastModified

          public long lastModified()

    - #### length

          public long length()

    - #### list

          public String[] list()

    - #### list

          public String[] list(FilenameFilter var0)

    - #### listFiles

          public File[] listFiles()

    - #### listFiles

          public File[] listFiles(FileFilter var0)

    - #### listFiles

          public File[] listFiles(FilenameFilter var0)

    - #### listRoots

          public static File[] listRoots()

    - #### mkdir

          public boolean mkdir()

    - #### mkdirs

          public boolean mkdirs()

    - #### renameTo

          public boolean renameTo(File var0)

    - #### setLastModified

          public boolean setLastModified(long var0)

    - #### setReadOnly

          public boolean setReadOnly()

    - #### toURI

          public URI toURI()

    - #### toURL

          public URL toURL()
                    throws MalformedURLException

      Throws:
        `MalformedURLException`